"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const rpscript_parser_1 = require("rpscript-parser");
class ReplCommand {
    constructor(config) {
        this.runner = new rpscript_parser_1.Runner(config);
    }
    run(filename) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                console.log('EXECTURE!!!!');
                let result = yield this.runner.execute(filename);
                console.log(result);
            }
            catch (er) {
                console.error('ERRORE!!!!!!');
                console.error(er);
            }
        });
    }
}
exports.ReplCommand = ReplCommand;
