#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const modules_1 = require("./commands/modules");
commander_1.default
    .option('-a, --available', 'List all available modules for installation')
    .option('-i, --installed', 'List currently installed modules')
    .description('list module information')
    .parse(process.argv);
let opts = commander_1.default.opts();
// console.log(opts);
let modCommand = new modules_1.ModuleCommand();
console.log(modCommand.list());
