#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const modules_1 = require("./commands/modules");
commander_1.default
    .description('remove module')
    .option('-a, --all', 'remove all modules')
    .parse(process.argv);
let all = commander_1.default.all;
let modCommand = new modules_1.ModuleCommand();
if (all) {
    let o = modCommand.listInstalledModulesArr();
    modCommand.remove(o);
}
else {
    modCommand.remove(commander_1.default.args);
}
