/// <reference types="node" />
import { Runner } from 'rpscript-parser';
import { EventEmitter } from 'events';
export declare class ExecCommand {
    runner: Runner;
    logger: any;
    debug: boolean;
    constructor(config: any, event?: (evt: EventEmitter) => void);
    run(filename: string, args?: any[]): Promise<any>;
    runStatement(content: string): Promise<any>;
    private printParams(params);
    registerDefaultEvents(evtEmt: EventEmitter): void;
    private getFileName(filepath);
    static parseProgramOpts(program: any): Object;
}
