/// <reference types="node" />
import { ModuleMgr } from 'rpscript-parser';
import { EventEmitter } from 'events';
export declare class ModuleCommand {
    modMgr: ModuleMgr;
    logger: any;
    constructor();
    install(allowExternalModule: boolean, modName: string[]): Promise<void>;
    private extractModuleName(modName);
    remove(modName: string[]): Promise<any>;
    listInstalledModulesArr(): string[];
    listInstalledModules(): string;
    listInstallModulesJson(): string;
    listAvailableModules(): string;
    listModuleInfo(mod: any): string;
    listDefaultKeywords(): string;
    registerDefaultEvents(evtEmt: EventEmitter): void;
}
