#! /usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const modules_1 = require("./commands/modules");
commander_1.default
    .option('-d, --default', 'Show default action list')
    .description('display module information detail')
    .parse(process.argv);
let opts = commander_1.default.opts();
let modCommand = new modules_1.ModuleCommand();
if (opts.default)
    console.log(modCommand.listDefaultKeywords());
else
    console.log(modCommand.listDefaultKeywords());
